CVE-2019-17382

NameCVE-2019-17382
DescriptionAn issue was discovered in zabbix.php?action=dashboard.view&dashboardid=1 in Zabbix through 4.4. An attacker can bypass the login page and access the dashboard page, and then create a Dashboard, Report, Screen, or Map without any Username/Password (i.e., anonymously). All created elements (Dashboard/Report/Screen/Map) are accessible by other users and by an admin.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, GitHub advisories/code/issues, web search, more)
ReferencesDLA-3538-1, ELA-945-1, ELA-957-1

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
zabbix (PTS)jessie, jessie (lts)1:2.2.23+dfsg-0+deb8u7fixed
stretch (security)1:3.0.32+dfsg-0+deb9u3vulnerable
stretch (lts), stretch1:3.0.32+dfsg-0+deb9u6fixed
buster1:4.0.4+dfsg-1vulnerable
buster (security)1:4.0.4+dfsg-1+deb10u5fixed
bullseye1:5.0.8+dfsg-1fixed
bookworm1:6.0.14+dfsg-1fixed
sid, trixie1:7.0.0+dfsg-2fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
zabbixsourcejessie1:2.2.23+dfsg-0+deb8u5ELA-957-1
zabbixsourcestretch1:3.0.32+dfsg-0+deb9u4ELA-945-1
zabbixsourcebuster1:4.0.4+dfsg-1+deb10u2DLA-3538-1
zabbixsource(unstable)1:5.0.0+dfsg-1

Notes

[stretch] - zabbix <ignored> (Minor issue, no patch, guest accounts can be disabled)
[jessie] - zabbix <no-dsa> (Minor issue, guest accounts can be disabled)
https://support.zabbix.com/browse/ZBX-16789
Disputed by upstream, closed as not a security bug.
Guest account is disabled by default starting in 4.0.15rc1, 4.4.2rc1 and
5.0.0alpha1 (Cf. https://support.zabbix.com/browse/ZBXNEXT-5532)
Patch to disable default user by default:
https://git.zabbix.com/projects/ZBX/repos/zabbix/commits/9fd6f1c35 (5.0.0alpha1)
https://git.zabbix.com/projects/ZBX/repos/zabbix/commits/cd3921882 (4.0.15rc1)

Search for package or bug name: Reporting problems